(function(app) {
  app.MovieDetailsComponent = ng.core
    .Component({
      templateUrl: 'app/movie-details.component.html'
    })
    .Class({
      constructor: [
        ng.router.ActivatedRoute, ng.router.Router, app.OwnedService, 
        function(route, router, ownedService) {      
        this.route = route;
        this.router = router;
        this.ownedService = ownedService;
      }],
      goBack: function() {
        this.router.navigate(['/movies']);
      },
      ngOnInit: function() {   
        var component = this;
        this.route.params.forEach(function(params) {
          var movieName = params.name;
          component.ownedService.getDetails(movieName)
              .then(function(details) {
                 component.details = details;
              });
        });
      }
    });
})(window.app || (window.app = {}));