(function(app) {                    
  app.SelectDirective = ng.core
    .Directive({
      selector: '[select]',
      host: {
        '(mouseenter)': 'onMouseEnter()',
        '(mouseleave)': 'onMouseLeave()'        
      }
    })
    .Class({
      constructor: [ng.core.ElementRef, ng.core.Renderer, 
        function(element, renderer) {
          this.element = element;
          this.renderer = renderer;
        }],
        onMouseEnter: function() {
          this.renderer.setElementStyle(this.element.nativeElement,
              'color', 'orange');
        },
        onMouseLeave: function() {
          this.renderer.setElementStyle(this.element.nativeElement,
              'color', '');
        }
    });
})(window.app || (window.app = {}));