(function(app) {                    
  app.MoviesComponent = ng.core
    .Component({
      templateUrl: 'app/movies.component.html'
    })
    .Class({
      constructor: [ng.router.Router, 
        app.OwnedService, function(router, ownedService) { 
        this.router = router;
        this.ownedService = ownedService;
      }],
      onSelect: function(movie) {
        this.router.navigate(['/movie', movie]);
      },
      ngOnInit: function() {
        var component = this;
        this.ownedService.getMovies()
          .then(function(movies) { component.movies = movies; });
      }
    });
})(window.app || (window.app = {}));