(function(app) {  
  app.OwnedService = ng.core
    .Class({
      constructor: function() {
        this.books = [
          'Who moved  my Cheese',
          'On Writing Well'
        ];
        this.movies = [
          'Gone with the Wind',
          'Citizens Kane'
        ];
        this.details = {
          'Who moved  my Cheese': 'details about the wonderful who moved...',
          'On Writing Well': 'Must read by William Zinnser',
          'Gone with the Wind': 'oh that classic',
          'Citizens Kane': 'set back in the time of...'
        };
      },
      getBooks: function() { return Promise.resolve(this.books); },
      addBook: function(book) { this.books.push(book); },
      getMovies: function() { return Promise.resolve(this.movies); },
      addMovie: function(movie) { this.movies.push(movie); },
      getDetails: function(item) { 
        return Promise.resolve(this.details[item]); 
      }
    });
})(window.app || (window.app = {}));